#!/usr/bin/env python

from fftwlib import applyASMPatch
from fftwlib import charMap
from fftwlib import decodeTextFiles
from fftwlib import decodeEVT
from fftwlib import disassemblyMIPS
from fftwlib import ebootDecrypt
from fftwlib import bootSign
from fftwlib import encodeMIPS
from fftwlib import encodeTextFiles
from fftwlib import encodeEVT
from fftwlib import eventMap
from fftwlib import textFileTools

def setReq(arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9,arg0):
    applyASMPatch.extractFFTPack(arg5,arg6)
    applyASMPatch.extractAndDecryptEBOOT(arg5,arg7)
    applyASMPatch.extractPackBOOTFiles(arg6,arg7,arg1,arg2,arg3,arg4)
    charMap.extractPSPFontAFW(arg7,arg1)
    applyASMPatch.copyBOOT_Pack_ISO(arg7,arg8,arg6,arg9,arg5,arg0)
    charMap.createEngPSPFontAFW(arg1)

def deTFiles(arg1,arg2,arg3,arg4):
    decodeTextFiles.decodeTextFiles(arg1,arg2,arg3,arg4)

def enTFiles(arg1,arg2):
    encodeTextFiles.encodeTextFiles(arg1,arg2)

def deEVT(arg1,arg2,arg3,arg4,arg5):
    decodeEVT.decodeEVT(arg1,arg2,arg3,arg4,arg5)

def enEVT(arg1,arg2,arg3):
    encodeEVT.encodeEVT(arg1,arg2,arg3)

def appPatch(arg1,arg2,arg3,arg4,arg5,arg6):
    applyASMPatch.coreFFTPatcher(arg1,arg2,arg3,arg4,arg5,arg6)

def exDeDisEBOOT(arg1,arg2,arg3):
    applyASMPatch.extractAndDecryptEBOOT(arg1,arg2)
    disassemblyMIPS.disassemblyFFTbootMIPS(arg2,arg3)

